GET
/
api
/
v1
/
loans
/
{loan_ref}
/
state
Get loan state
curl --request GET \
  --url http://34.170.194.254:8000/api/v1/loans/{loan_ref}/state \
  --header 'Authorization: Bearer <token>'
{
  "current_state": "<string>",
  "loan_ref": "<string>",
  "state_entered_time": "2023-11-07T05:31:56Z",
  "state_event_id": "<string>",
  "evaluated_at": "2023-11-07T05:31:56Z",
  "reason": "<string>",
  "reason_codes": [
    "<string>"
  ],
  "supporting_event_ids": [
    "<string>"
  ],
  "transition_path": [
    {
      "from_state": "<string>",
      "to_state": "<string>",
      "event_type": "<string>",
      "event_id": "<string>",
      "event_time": "<string>"
    }
  ],
  "rules": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

loan_ref
string
required

Loan reference

Response

Loan state

Loan State Response schema.

current_state
string
required

Current evaluated lifecycle state

loan_ref
string | null

Loan reference

state_entered_time
string<date-time> | null

Timestamp when current state was entered

state_event_id
string | null

Vault event id that last changed the state

evaluated_at
string<date-time> | null

Timestamp of this state evaluation

reason
string | null

Human-readable reason for current state

reason_codes
string[] | null

Machine-readable reason codes

supporting_event_ids
string[] | null

Vault event ids used in state evaluation

transition_path
LoanStateTransitionEdge · object[] | null

Observed or inferred transition path

rules
Rules · object

Rule evaluation metadata